Metamorphose Fórum

Assuntos relacionados ao sistema operacional Metamorphose Linux, aqui você poderar tirar suas duvidas e dar opiniões.


Você não está conectado. Conecte-se ou registre-se

Repositórios bagunçados, como arrumar?

Ver o tópico anterior Ver o tópico seguinte Ir em baixo  Mensagem [Página 1 de 1]

1 Repositórios bagunçados, como arrumar? em Qua Jun 22, 2011 9:45 am

Olá, pessoal!
Fiz alguns teste eprecisava instalar o xampp no meta, mas deu varios bugs e não roda direito... então descobri que os repositórios do meta 2.1 tem muitas pacotes quebrados e desatualizados e alguns como versão de testing...
Como posso "refazer" todo os diretórios e padronizá-los com as versões estáveis do debian?

Desde já agradeço a atenção e ajuda de todos.
Ate+

Ver perfil do usuário http://www.helcai.com

2 Solucao!!! em Qua Jun 22, 2011 10:30 pm

Flavio_vivinho escreveu:Olá, pessoal!
Fiz alguns teste eprecisava instalar o xampp no meta, mas deu varios bugs e não roda direito... então descobri que os repositórios do meta 2.1 tem muitas pacotes quebrados e desatualizados e alguns como versão de testing...
Como posso "refazer" todo os diretórios e padronizá-los com as versões estáveis do debian?

Desde já agradeço a atenção e ajuda de todos.
Ate+

Boa noite amigo,
tivemos alguns problemas com o repositorio, pois o lancamento do Metamorphose 3.0 foi quando o debian 6 estava saindo do forno.
Para corrigir de o seguinte comando:

sudo kedit /etc/apt/sources.list

e cole o seguinte conteudo:

######################################
#Pacotes estaveis

############ deb http://ftp.br.debian.org/debian/ lenny main contrib non-free
############ deb http://security.debian.org/ lenny/updates main contrib
############ deb http://volatile.debian.org/debian-volatile/ lenny/volatile main
############ deb http://security.debian.org/debian-security/ etch/updates main
############ deb http://www.debian-multimedia.org/ testing main

###############################################################################

#Servidor do Metamorphose Linux, seu proposito e ter drivers e programas compilados diretamente para sua
#plataforma, no momento esta em fase de implantacao ainda, mas em breve sera uma ferramenta muito util
#para o sistema.

deb http://www.metamorphoselinux.net/ metamorphose main

#Pacotes Utilizados para atualização do KDE4 e outros programas
#"não estaveis para p Debian", so use se souber o que esta fazendo.
#Para usar eles voce terar q comentar os repositorios estaveis, ou seja, os que
#estão acima deste texto.
#Pacotes instaveis

deb http://ftp.br.debian.org/debian/ squeeze main
deb-src http://ftp.br.debian.org/debian/ squeeze main
deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

#DEBIAN MULTIMEDIA
deb http://www.debian-multimedia.org/ squeeze main

#################

salve e depois de o seguinte comando:
sudo apt-get update


creio que o seu problema sera solucionado.

vlw

Ver perfil do usuário http://www.metamorphoselinux.net/

3 Re: Repositórios bagunçados, como arrumar? em Qui Jun 23, 2011 1:46 pm

Resultado. Esta correto agora?

@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
Código:

[b]~$ sudo apt-get updat[/b]e
Ign http://www.metamorphoselinux.net metamorphose Release.gpg                           
Obter:1 http://dl.google.com stable Release.gpg [198B]                                   
Ign http://www.metamorphoselinux.net metamorphose/main Translation-pt_BR                 
Ign http://dl.google.com stable/main Translation-pt_BR                                   
Obter:2 http://dl.google.com stable Release [1351B]                                     
Ign http://www.metamorphoselinux.net metamorphose Release                               
Obter:3 http://security.debian.org squeeze/updates Release.gpg [836B]                   
Ign http://security.debian.org squeeze/updates/main Translation-pt_BR                   
Obter:4 http://ftp.br.debian.org squeeze Release.gpg [1671B]                             
Obter:5 http://ftp.br.debian.org squeeze/main Translation-pt_BR [730kB]                 
Ign http://dl.google.com stable/main Packages/DiffIndex                                 
Obter:6 http://security.debian.org squeeze/updates Release [38,4kB]                     
Obter:7 http://www.debian-multimedia.org squeeze Release.gpg [198B]                     
Ign http://www.debian-multimedia.org squeeze/main Translation-pt_BR                     
Ign http://www.metamorphoselinux.net metamorphose/main Packages                         
Obter:8 http://dl.google.com stable/main Packages [1258B]                               
Obter:9 http://www.debian-multimedia.org squeeze Release [22,0kB]                       
Ign http://security.debian.org squeeze/updates Release                                   
Obter:10 http://security.debian.org squeeze/updates/main Packages [106kB]               
Obter:11 http://www.debian-multimedia.org squeeze/main Packages [73,2kB]                 
Ign http://www.metamorphoselinux.net metamorphose/main Packages                         
Obter:12 http://www.metamorphoselinux.net metamorphose/main Packages [1258B]
Obter:13 http://security.debian.org squeeze/updates/main Sources [36,6kB]
Obter:14 http://ftp.br.debian.org squeeze Release [79,8kB]
Ign http://ftp.br.debian.org squeeze Release
Obter:15 http://ftp.br.debian.org squeeze/main Packages [6568kB]
Obter:16 http://ftp.br.debian.org squeeze/main Sources [3721kB]
Baixados 11,4MB em 6min 9s (30,8kB/s)
Lendo listas de pacotes... Pronto
W: GPG error: http://security.debian.org squeeze/updates Release: As assinaturas a seguir não puderam ser verificadas devido à chave pública não estar disponível: NO_PUBKEY AED4B06F473041FA
W: GPG error: http://ftp.br.debian.org squeeze Release: As assinaturas a seguir não puderam ser verificadas devido à chave pública não estar disponível: NO_PUBKEY AED4B06F473041FA
~$
~$




[b]~$ sudo apt-get install aptitude[/b]
Lendo listas de pacotes... Pronto         
Construindo árvore de dependências         
Lendo informação de estado... Pronto       
Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
  libtaskmanager4 libmalaga7 libqzion0a libqtruby4shared2 oxygencursors       
  libggadget-qt-1.0-0 libqt4-ruby1.8 google-gadgets-common libgps19           
  shared-desktop-ontologies google-gadgets-gst libsmokesoprano2               
  libplasma-geolocation-interface4 libcln6 libeina-svn-03 libsolid4 libeet1 liblzma2
  libloudmouth1-0 libpolkit-qt-1-0 libqtscript4-core google-gadgets-xul libsmokeqtcore4-3
  libkfontinst4 libqtscript4-gui libnepomukqueryclient4 libqtscript4-uitools           
  libthreadweaver4 libopenbabel3 kinfocenter kdebase-workspace-data libqtscript4-sql   
  google-gadgets-qt xscreensaver-gl-extra proftpd-basic kdebase-workspace-kgreet-plugins
  libqtscript4-xml libattica0 libnepomukquery4 libvoikko1 libsmokeqt4-2 libssh-4       
  libqedje0a amarok-utils libsmokekde4-2 libqtscript4-network xscreensaver-data-extra   
  libpolkit-agent-1-0 libgpgme++2                                                       
Use 'apt-get autoremove' para removê-los.                                               
Os pacotes extra a seguir serão instalados:                                             
  amarok-common amarok-utils apt apt-utils apt-xapian-index aptitude-doc-en binutils   
  debtags gconf2 gdebi-core gimp gimp-data gnome-doc-utils gstreamer0.10-plugins-base   
  gstreamer0.10-pulseaudio iceweasel iceweasel-l10n-pt-br kdebase-runtime-data         
  krb5-multidev libakonadiprivate1 libatk1.0-0 libatk1.0-dev libattica0 libavcodec52   
  libavcore0 libavformat52 libavutil50 libboost-iostreams1.42.0                         
  libboost-program-options1.42.0 libboost-python1.42.0 libc-bin libc-dev-bin libc6     
  libc6-dev libc6-i686 libcairo2 libclass-accessor-perl libcln6 libcurl3-gnutls         
  libcwidget3 libdb4.8 libenchant1c2a libept1 libexiv2-9 libgail-common libgail18       
  libgegl-0.0-0 libgeoip1 libgimp2.0 libglib2.0-0 libglib2.0-dev libgpgme++2 libgpod4   
  libgssapi-krb5-2 libgssrpc4 libgstreamer-plugins-base0.10-0 libgstreamer0.10-0       
  libgtk2.0-0 libgudev-1.0-0 libhunspell-1.2-0 libidn11 libimobiledevice1               
  libio-string-perl libiodbc2 libjpeg62 libjpeg62-dev libk5crypto3 libkadm5clnt-mit7   
  libkadm5srv-mit7 libkdb5-4 libkrb5-3 libkrb5-dev libkrb53 libkrb5support0 libltdl7   
  liblzma2 libmng1 libmozjs2d libncurses5 libncurses5-dev libncursesw5 libnspr4-0d     
  libnspr4-dev libnss3-1d libnss3-dev libopenraw1 liborc-0.4-0                         
  libparse-debianchangelog-perl libphonon4 libplist1 libpolkit-agent-1-0 libpolkit-qt-1-0
  libpython2.6 libqt4-assistant libqt4-core libqt4-dbus libqt4-designer libqt4-gui     
  libqt4-help libqt4-network libqt4-opengl libqt4-qt3support libqt4-script             
  libqt4-scripttools libqt4-sql libqt4-sql-mysql libqt4-sql-sqlite libqt4-svg libqt4-test
  libqt4-webkit libqt4-xml libqt4-xmlpatterns libqtcore4 libqtgui4 libqtruby4shared2   
  libreadline6 librtmp0 libruby1.8 libsearchclient0 libsmokeqtcore4-3 libsolid4         
  libsoprano4 libsqlite3-0 libssh-4 libssl0.9.8 libstreamanalyzer0 libstreams0         
  libstrigihtmlgui0 libstrigiqtdbusclient0 libsub-name-perl libswscale0 libthreadweaver4
  libudev0 libusb-1.0-0 libusbmuxd1 libva-x11-1 libva1 libvpx0 libvte9 libx264-112     
  libxapian22 libxcb-render-util0 libxslt1.1 locales locales-all lsb-core ncurses-bin   
  oxygen-icon-theme phonon-backend-xine pyqt4-dev-tools python python-alsaaudio         
  python-apt python-apt-common python-bluez python-cairo python-cddb python-central     
  python-chardet python-crypto python-cups python-daap python-dbus python-debian       
  python-egenix-mxdatetime python-egenix-mxtools python-eggtrayicon python-gconf       
  python-gdbm python-glade2 python-gnome2 python-gnutls python-gobject python-gpod     
  python-gst0.10 python-gtk2 python-gtkmozembed python-imaging python-libxml2           
  python-minimal python-nevow python-notify python-numpy python-ogg python-openssl     
  python-pgm python-pkg-resources python-psycopg2 python-pycurl python-pylirc           
  python-pyorbit python-pysqlite2 python-pyvorbis python-qt4 python-qt4-dbus           
  python-qt4-gl python-qt4-phonon python-renderpm python-reportlab python-reportlab-accel
  python-setuptools python-simplejson python-sip python-sip4 python-smartpm python-sqlite
  python-tagpy python-tk python-twisted-bin python-twisted-core python-twisted-runner   
  python-vte python-wxgtk2.8 python-wxversion python-xapian python-zope.interface       
  python2.5 python2.5-minimal python2.6 python2.6-minimal qt4-qtconfig rarian-compat   
  scrollkeeper sensible-utils shared-desktop-ontologies soprano-daemon strigi-client   
  strigi-daemon synaptic time usbmuxd xulrunner-1.9.1 yelp                             
Pacotes sugeridos:                                                                     
  apt-doc app-install-data tasksel binutils-doc tagcoll gconf-defaults-service         
  gimp-help-en gimp-help gimp-data-extras gvfs-backends ttf-lyx latex-xft-fonts         
  xfonts-mathml ttf-mathematica4.1 xprint krb5-doc glibc-doc pi libcwidget-dev         
  libenchant-voikko geoip-bin libglib2.0-doc krb5-user gstreamer-codec-install         
  gnome-codec-install gstreamer0.10-plugins libqt4-dev xapian-tools python-doc         
  python-profiler python-apt-dbg python-apt-doc python-crypto-dbg python-dbus-doc       
  python-dbus-dbg python-egenix-mxdatetime-dbg python-egenix-mxdatetime-doc             
  python-egenix-mxtools-dbg python-egenix-mxtools-doc python-gnome2-doc python-gdbm-dbg 
  python-gtk2-doc python-gobject-dbg python-gst0.10-dev python-gst0.10-dbg             
  python-imaging-doc python-imaging-dbg python-numpy-doc python-numpy-dbg python-dev   
  python-ogg-dbg python-openssl-doc python-openssl-dbg python-distribute-doc           
  libcurl4-gnutls-dev python-pycurl-dbg python-pysqlite2-doc python-pysqlite2-dbg       
  python-pyvorbis-dbg python-qt4-dbg python-phonon-dbg python-renderpm-dbg             
  python-egenix-mxtexttools python-reportlab-doc python-sqlite-dbg tix python-tk-dbg   
  python-twisted-bin-dbg python-qt3 python-twisted-runner-dbg wx2.8-doc wx2.8-examples 
  editra xapian-doc python-z3c.recipe.sphinxdoc python2.5-doc python2.6-doc             
  python2.6-profiler virtuoso-minimal strigi-plugins dwww libcanberra0                 
Pacotes recomendados:                                                                   
  libatk1.0-data manpages-dev python-pam software-properties-gtk gnome-user-guide       
Os pacotes a seguir serão REMOVIDOS:                                                   
  amarok blender gdebi-kde kalgebra kalzium kate kde-minimal kde-window-manager kdebase 
  kdebase-apps kdebase-workspace kdebase-workspace-bin kdeplasma-addons kdm kdmtheme kget
  kscreensaver kscreensaver-xsavers kscreensaver-xsavers-webcollage kshutdown libept0   
  libkadm5srv6 libkde4-ruby1.8 libkwineffects1 libkworkspace4 liblancelot0             
  libplasma-applet-system-monitor4 libplasma-ruby libplasma-ruby1.8 libplasmaclock4     
  libsmokeplasma2 libweather-ion4 marble plasma-dataengines-addons                     
  plasma-dataengines-workspace plasma-runners-addons plasma-scriptengine-googlegadgets 
  plasma-scriptengine-javascript plasma-scriptengine-python plasma-scriptengine-qedje   
  plasma-scriptengine-ruby plasma-scriptengine-superkaramba plasma-scriptengine-webkit 
  plasma-scriptengines plasma-wallpapers-addons plasma-widget-folderview               
  plasma-widget-ktorrent plasma-widget-lancelot plasma-widget-network-manager           
  plasma-widget-translatoid plasma-widgets-addons plasma-widgets-workspace             
  python-gnome2-desktop python-gnome2-extras python-gtkhtml2 python-kde4 python-libuser 
  python-lirc python-numeric python-sexy python-xml python-zopeinterface               
  python2.4-psycopg2 stoqdrivers vodafone-mobile-connect xulrunner-1.9                 
Os NOVOS pacotes a seguir serão instalados:                                             
  apt-xapian-index aptitude aptitude-doc-en krb5-multidev libattica0 libavcore0         
  libboost-iostreams1.42.0 libboost-program-options1.42.0 libboost-python1.42.0 libc-bin
  libc-dev-bin libclass-accessor-perl libcln6 libcwidget3 libdb4.8 libept1 libexiv2-9   
  libgpgme++2 libgudev-1.0-0 libimobiledevice1 libio-string-perl libiodbc2             
  libkadm5clnt-mit7 libkadm5srv-mit7 liblzma2 libopenraw1 liborc-0.4-0                 
  libparse-debianchangelog-perl libplist1 libpolkit-agent-1-0 libpolkit-qt-1-0         
  libpython2.6 libreadline6 librtmp0 libsmokeqtcore4-3 libsolid4 libssh-4               
  libsub-name-perl libthreadweaver4 libusb-1.0-0 libusbmuxd1 libva-x11-1 libva1 libvpx0 
  libx264-112 libxapian22 python-apt-common python-chardet python-debian python-gconf   
  python-sip python-xapian python-zope.interface python2.6 python2.6-minimal           
  rarian-compat sensible-utils shared-desktop-ontologies time usbmuxd xulrunner-1.9.1   
Os pacotes a seguir serão atualizados:                                                 
  amarok-common amarok-utils apt apt-utils binutils debtags gconf2 gdebi-core gimp     
  gimp-data gnome-doc-utils gstreamer0.10-plugins-base gstreamer0.10-pulseaudio iceweasel
  iceweasel-l10n-pt-br kdebase-runtime-data libakonadiprivate1 libatk1.0-0 libatk1.0-dev
  libavcodec52 libavformat52 libavutil50 libc6 libc6-dev libc6-i686 libcairo2           
  libcurl3-gnutls libenchant1c2a libgail-common libgail18 libgegl-0.0-0 libgeoip1       
  libgimp2.0 libglib2.0-0 libglib2.0-dev libgpod4 libgssapi-krb5-2 libgssrpc4           
  libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtk2.0-0 libhunspell-1.2-0     
  libidn11 libjpeg62 libjpeg62-dev libk5crypto3 libkdb5-4 libkrb5-3 libkrb5-dev libkrb53
  libkrb5support0 libltdl7 libmng1 libmozjs2d libncurses5 libncurses5-dev libncursesw5 
  libnspr4-0d libnspr4-dev libnss3-1d libnss3-dev libphonon4 libqt4-assistant libqt4-core
  libqt4-dbus libqt4-designer libqt4-gui libqt4-help libqt4-network libqt4-opengl       
  libqt4-qt3support libqt4-script libqt4-scripttools libqt4-sql libqt4-sql-mysql       
  libqt4-sql-sqlite libqt4-svg libqt4-test libqt4-webkit libqt4-xml libqt4-xmlpatterns 
  libqtcore4 libqtgui4 libqtruby4shared2 libruby1.8 libsearchclient0 libsoprano4       
  libsqlite3-0 libssl0.9.8 libstreamanalyzer0 libstreams0 libstrigihtmlgui0             
  libstrigiqtdbusclient0 libswscale0 libudev0 libvte9 libxcb-render-util0 libxslt1.1   
  locales locales-all lsb-core ncurses-bin oxygen-icon-theme phonon-backend-xine       
  pyqt4-dev-tools python python-alsaaudio python-apt python-bluez python-cairo
  python-cddb python-central python-crypto python-cups python-daap python-dbus
  python-egenix-mxdatetime python-egenix-mxtools python-eggtrayicon python-gdbm
  python-glade2 python-gnome2 python-gnutls python-gobject python-gpod python-gst0.10
  python-gtk2 python-gtkmozembed python-imaging python-libxml2 python-minimal
  python-nevow python-notify python-numpy python-ogg python-openssl python-pgm
  python-pkg-resources python-psycopg2 python-pycurl python-pylirc python-pyorbit
  python-pysqlite2 python-pyvorbis python-qt4 python-qt4-dbus python-qt4-gl
  python-qt4-phonon python-renderpm python-reportlab python-reportlab-accel
  python-setuptools python-simplejson python-sip4 python-smartpm python-sqlite
  python-tagpy python-tk python-twisted-bin python-twisted-core python-twisted-runner
  python-vte python-wxgtk2.8 python-wxversion python2.5 python2.5-minimal qt4-qtconfig
  scrollkeeper soprano-daemon strigi-client strigi-daemon synaptic yelp
173 pacotes atualizados, 61 pacotes novos instalados, 66 a serem removidos e 1569 não atualizados.
É preciso baixar 200MB de arquivos.
Depois desta operação, 46,7MB de espaço em disco serão liberados.
Você quer continuar [S/n]?

Ver perfil do usuário http://www.helcai.com

4 Re: Repositórios bagunçados, como arrumar? em Sex Jun 24, 2011 4:12 pm

Qual a versão do seu Metamorphose mesmo? Tem certeza que é a 2.1?

Ver perfil do usuário http://www.vivaolinux.com.br/comunidade/metamorphose

5 Atualizado na versão atual? em Seg Maio 14, 2012 9:58 am

Olá, pessoal!
Os repositórios está organizados e atualizados na nova versão?
Estou pensando em baixar para fazer alguns testes...

Desde já agradeço pela atenção e ajuda de todos.
Até+

Ver perfil do usuário http://www.helcai.com

Conteúdo patrocinado


Ver o tópico anterior Ver o tópico seguinte Voltar ao Topo  Mensagem [Página 1 de 1]

Permissão deste fórum:
Você não pode responder aos tópicos neste fórum